net.corda.node.utilities

## Class TxnNoteColumns

- net.corda.node.utilities.TxnNoteColumns

-     public class TxnNoteColumns

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TxnNoteColumns(org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> txId, org.jetbrains.exposed.sql.Column<java.lang.String> note)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash>` | `component1()`
    `org.jetbrains.exposed.sql.Column<java.lang.String>` | `component2()`
    `TxnNoteColumns` | `copy(org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> txId, org.jetbrains.exposed.sql.Column<java.lang.String> note)`
    `boolean` | `equals(java.lang.Object p)`
    `org.jetbrains.exposed.sql.Column<java.lang.String>` | `getNote()`
    `org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash>` | `getTxId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### TxnNoteColumns

          public TxnNoteColumns(org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> txId,
                                org.jetbrains.exposed.sql.Column<java.lang.String> note)

  - ### Method Detail

    - #### getTxId

          public org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> getTxId()

    - #### getNote

          public org.jetbrains.exposed.sql.Column<java.lang.String> getNote()

    - #### component1

          public org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> component1()

    - #### component2

          public org.jetbrains.exposed.sql.Column<java.lang.String> component2()

    - #### copy

          public TxnNoteColumns copy(org.jetbrains.exposed.sql.Column<net.corda.core.crypto.SecureHash> txId,
                                     org.jetbrains.exposed.sql.Column<java.lang.String> note)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)